GenerateIvyDescriptor (Gradle API 7.6.3)

Package org.gradle.api.publish.ivy.tasks

## Class GenerateIvyDescriptor

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.ivy.tasks.GenerateIvyDescriptor

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @UntrackedTask(because="Gradle doesn\'t understand the data structures")
      public class GenerateIvyDescriptor
      extends DefaultTask

  Generates an Ivy XML Module Descriptor file.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerateIvyDescriptor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGenerate()` |
    `IvyModuleDescriptorSpec` | `getDescriptor()` | The module descriptor metadata.
    `java.io.File` | `getDestination()` | The file the descriptor will be written to.
    `protected org.gradle.internal.file.PathToFileResolver` | `getFileResolver()` |
    `void` | `setDescriptor​(IvyModuleDescriptorSpec descriptor)` |
    `void` | `setDestination​(java.io.File destination)` | Sets the destination the descriptor will be written to.
    `void` | `setDestination​(java.lang.Object destination)` | Sets the destination the descriptor will be written to.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### GenerateIvyDescriptor

          public GenerateIvyDescriptor()

  - ### Method Detail

    - #### getFileResolver

          @Inject
          protected org.gradle.internal.file.PathToFileResolver getFileResolver()

    - #### getDescriptor

          @Internal
          public IvyModuleDescriptorSpec getDescriptor()

      The module descriptor metadata.
      Returns:
        The module descriptor.

    - #### setDescriptor

          public void setDescriptor​(IvyModuleDescriptorSpec descriptor)

    - #### getDestination

          @OutputFile
          public java.io.File getDestination()

      The file the descriptor will be written to.
      Returns:
        The file the descriptor will be written to

    - #### setDestination

          public void setDestination​(java.io.File destination)

      Sets the destination the descriptor will be written to.
      Parameters:
        `destination` - The file the descriptor will be written to.
      Since:
        4.0

    - #### setDestination

          public void setDestination​(java.lang.Object destination)

      Sets the destination the descriptor will be written to. The value is resolved with `Project.file(Object)`
      Parameters:
        `destination` - The file the descriptor will be written to.

    - #### doGenerate

          public void doGenerate()